Introduction

NewsReactor

User's Manual

We thank you for choosing NewsReactor.
In this help file you will hopefully find all the information you need to make the most out of this program.

Please use the contents table to your left for a categorized view of this help file, or use the search in order to find a topic quickly.

NewsReactor
DaanSystems
http://www.daansystems.com/

Product Website:
http://www.daansystems.com/newsreactor/


Introduction

In this section, you can get to know more about NewsReactor and the Usenet, if you are unfamiliar with either of them.

What is NewsReactor?
Understanding Newsgroups


What is NewsReactor?

NewsReactor is a tool to download binaries from usenet newsgroups. NewsReactor scans, combines and downloads files from a selected newsgroup. This program is shareware. You can register NewsReactor to get the full version.

Features

  • Simple user interface.
  • Highspeed multithreading downloading with low level socket technology.
  • Advanced error correction on a message part based algorithm. This ensures (almost) no incomplete parts.
  • Built in smart UU, Base64 and yEnc decoding with error detection.
  • Selecting up to four active threads.
  • Multiple server scanning and combining.
  • Incremental scanning (only scanning of new articles).
  • Adjustable download speed to give other applications bandwidth.
  • Selectable download directories for each newsgroup.
  • Responsive Pause and Stop processing.
  • Shows download speed.
  • Filters (with regular expressions).
  • Find messages.
  • View messages.
  • Post messages and replies.
  • More and more features every new release!

What do I get for registering?

NewsReactor is shareware and will only work for 50 times. Registering it will entitle you to full usage beyond that period and free upgrades as well. For more information on purchase, please visit the NewsReactor website at http://www.daansystems.com/newsreactor/ .

How to get the latest version

NewsReactor will alert you when a new version is available and give you the opportunity to download it. However, if you want to be sure you have the latest version just visit http://www.daansystems.com/newsreactor/


Understanding Newsgroups

Usenet was a great invention. It allowed people to ask and answer questions all over the world. It allowed fast delivery of news on a specific subject to subscribers all over the world. And it allows us to share files and data.

What is a server?

In order to connect to the global Usenet and to read and post messages, or download binaries, you need two things: a specialized program, such as NewsReactor, and a server, which links you to what you want.

Most ISP's (Internet Service Providers) have their own servers. The addresses for these servers are usually news.serviceprovider, so the ISP xyz.com would have his news server at news.xyz.com. Also, for many ISP's, simply news works too.
NewsReactor can now try to find a news server for you on the First Time Wizard. If you do not know the address for your ISP's news server and NewsReactor cannot find it, please contact your Internet Service Provider.

There are also free and paid dedicated Usenet service providers, which usually offer better conditions, such as the access to more groups and better retention time (that is the average time a post stays on the server, before it is deleted). You might want to check some of these out.

What is a group?

It is clear that if what everyone sends to the Usenet was in the same place, it would be very difficult to find anything. So it is divided in groups. Each group is usually connected to a specific topic, and so are the messages and files in it.
Groups are also organized in a hierarchy, which can be understood from their names (a newsgroup's name tells us a lot). For instance, we have the alt.binaries.pictures.autos group. Its name tells us that the group is part of the "alt" tree (the largest in Usenet), that it has binaries (a fancy name for non-text files), that those binaries are pictures, and that those are pictures of cars.

The best way to find a group with something you're interested in is to let NewsReactor download the list of groups from your news server, and then search that list for what you want (learn how to do that here).

What is a post?

So you have the means of getting to the Usenet, you have a group to find messages or files in, but what is this talk about posts? Well, a post is one of those messages or files, simply put.
So let's say you wanted to find a picture of a particular car. You'd go to a group on that subject, say alt.binaries.pictures.autos and you would try to find a post with that picture. NewsReactor makes it easy. You just select the group, scan it (more on that here), and NewsReactor shows you the list of posts on that group, at that time. In order to read a plain message, you just need to select it and click a button on the toolbar (check here). In order to download a file, again, just select it and click another button (find out how). You can even post your own messages.


Interface Walkthrough

Here is the NewsReactor main window:

Here is an explanation of each of its parts.

Menu bar:

This is where you can select most program options. Detailed information here.

Toolbar:

This is where you can select the actions to perform on a group or post. Detailed information here.

Thread status:

This is where you can see what each thread (threads are used for multiple connections, one thread for each connection) is doing. Detailed information here.

Group list:

This is where the list of your currently selected groups appear. Detailed information here.

Header list:

This is where the list of currently downloaded headers is shown. Detailed information here.

Status bar:

This is where the current status of the program is shown, and where you can select your view: headers, queue or log. Detailed information here.


Setting up for the first time

In this section you will find information on how to get NewsReactor up and running.

First Time Wizard
Adding a server
Selecting groups
Selecting download directories


First Time Wizard

Upon entering the First Time Wizard, you will be presented with this screen:

Press Next to continue.
This is the next screen:

Here is where you can specify the news server you will be using. You can let NewsReactor try to detect your news server configuration automatically, by pressing the Auto Search! button. If it is not able to find your configuration, or you want to do it manually, just enter the server address in the Newsserver box and, if your server requires it, your authentication information (user name and password).

Press Next to continue and you will see this window:

Just click on the Scan newsgroups button and NewsReactor will get a list of available newsgroups from the server. You may skip this step, but it is recommended that you do not, so that you know what you can add the next step.

Press Next to continue and you will see this window:

Here you can select the groups you want to subscribe. Use the checkboxes for a categorized view of the groups, or the Keywords box to search the newsgroup names. Select the ones you want and then proceed.

Press Next to continue and you will see this window:

Here you select where you want your downloaded files to be placed. If you select nothing, all the files will be placed in the NewsReactor directory. This setting can be changed later in the Advanced tab in the Options dialog. See here for more information on setting download locations.

Press Next to continue and you will see this window:

You have completed the First Time Wizard. NewsReactor is now ready to use. You may want to check some more items in the "Setting up for the first time" section of this help file, though.


Adding a server

In order to add a server, open the Options dialog by pressing the Options button on the toolbar, or by selecting the Options entry in the File menu.
This is what you'll see:

In order to add a news server, you must first type the server address in the text box. If your server requires user authentication, type the username and the password in the appropriate text boxes. Then press the Add button. The server will be added to the list below.

You can have as many servers as you like, and NewsReactor will scan all of them for posts and combine everything in the header list on the main window.

Please note: After adding a new server, you may want to download the list of available groups again. Find out how to do that here.


Selecting groups

In order to select groups for your groups list on the main window, open the Options dialog by pressing the Options button on the toolbar, or by selecting the Options entry in the File menu.
Then choose the Groups tab. This is what you'll see:

If you haven't downloaded the list of groups from your server(s) yet, or would like to do so again, just press the Newsserver button in the Retrieve from: section. When the download is complete, just enter a keyword in the Search box to search for groups.

If you have downloaded the list of groups already, you should press the Local file button in the Retrieve from: section to view it.

To select a group, simply check it. If you want to, you can add a group manually, by typing its name in the Manual box and press the Add button. This is useful when you want to add a new group and don't want to download the headers all over again.


Selecting download locations

Selecting download directories

If you do not select a download location, all the files you download will be placed in the NewsReactor main directory. It is better to have them organized, inside another directory, and having each group's files in their own directory.

In order to do this, open the Options dialog by pressing the Options button on the toolbar, or by selecting the Options entry in the File menu.
Then choose the Advanced tab. This is what you'll see:

To select the directory where your files will be saved, type the path in the textbox at the bottom of the Options dialog, or use the Browse... button to navigate to it. A folder will be created for every group you have selected. That way, you'll have a neatly organized download folder.


Program usage

In this section, you can learn how to perform the most common tasks with NewsReactor.

Scanning / resetting a group
Starting a download
Current and pending downloads
Icons
Reading messages
Posting messages
Auto download
Log


Scanning / resetting a group

After having configured NewsReactor and selected the newsgroups you want to find messages or binaries in, you are able to download files. But first you have to find out what is available on the groups you selected. That process is called scanning a group. What NewsReactor does is download the post headers in that group (a header is the part of a post that contains the title and other useful information about the post, such as whether or not it has files).

Scanning a group

To scan a group, select it in the Group list on the main window and click the Scan button on the toolbar, or press Ctrl+S on your keyboard. Alternatively, you can right-click the group in the Group list and select Scan from the drop-down menu, or choose the Scan entry in the File menu.
After the header download is complete, the posts will be shown in the header list on the main window.

Resetting a group

Everytime you want to update the list of available posts on a group, you just have to scan it again. However, every now and then you should reset a group to remove all headers from the list, so that old headers which are not available anymore aren't shown. NewsReactor tries to find expired posts and remove them everytime you scan a group, but it is always a good idea to reset the group once in a while.

To reset a group, select it in the Group list on the main window and hit Ctrl+R on your keyboard. Alternatively, you can right-click the group in the Group list and select Reset from the drop-down menu, or choose the Reset Group entry in the File menu.


Starting a download

Once you find something in the header list that you're interested in, you can download it simply by selecting it and pressing the Grab button on the toolbar or the Enter key on your keyboard. The download will start and the icon beside the post will change. More on icons here.


Current and pending downloads

You can see what is currently being downloaded by looking at the thread list in the main window. You can see that a thread is currently downloading a file if the file's name appears in the thread entry in the thread list.

To check what downloads you have selected but are not yet being handled, you need to go to the status bar and select the Queue tab, or alternative, choose the Queue entry in the View menu. A list of pending downloads will be shown in the header list.


Icons

You can determine a download's current status by looking at its icon in the header list. Here is a list of icons and their meanings:

- An available post, complete on the server. Hasn't been downloaded yet.

- Post is queued, waiting to be downloaded.

- Post is being downloaded.

- Post has been successfully downloaded.

- An incomplete post. Only parts of it are available on the server. It may be too old (some parts have already disappeared), or too recent (some parts are yet to be posted).

- There was an error downloading this post and it did not complete successfully. This may happen due to a problem with the news server, so trying again sometimes helps.

- A multigroup. It includes several posts, that NewsReactor found to be similar in context, using a special algorithm. You can expand it to view its contents, or collapse it to hide them.


Reading messages

It's very simple to read a message in NewsReactor. To do it, simply select the message in the header list window and click the read button on the toolbar or hit Ctrl+V on the keyboard. You can also do this by choosing the Read Message in the Item menu or by right-clicking the message and selecting Read Message from the drop-down menu.
The message is displayed on a new window.


Posting messages

To post your own messages in NewsReactor, first select the group where you want to post to group in the group list. Then click the post button on the toolbar, or, alternatively, choose the Post Message entry in the Item menu. This is what you'll see:

Fill the message fields, if you wish, and then write your message below the Keywords field. To post the message, simply click the Post! button.


Auto download

If you want to download every file from every newsgroup you have selected, you don't have to go through the lengthy process of opening a newsgroup, selecting all the files, and issueing the download command for all your selected newsgroups. NewsReactor has a great feature that takes care of this for you.

Just press the auto button on the toolbar, or alternatively choose the Autograb all entry in the File menu, or just press Alt+A on your keyboard, and you're done!


Log

NewsReactor keeps a log of the files that have been downloaded. To check the list of finished downloads, you need to go to the status bar and select the Log tab, or alternative, choose the Log entry in the View menu. The list of finished downloads will be shown in the header list.

To delete the log (but not the files displayed there), just choose the Clear Log entry in the Item menu, or press Ctrl+Shift+X on your keyboard.


Options and configuration

In this section, you can learn about the different options present in the Options dialog.

News servers
Groups
User information
Filters
Advanced


Options - News Servers

News Servers

Click on an item to get more information, or scroll down until you find what you want.

Add button: Adds a server to the server list. Server address (required) and authorization information (if required) must have been typed in the appropriate boxes to add a server.

Up button: Moves a server up in the server list. You have to select it first.

Down button: Moves a server down in the server list. You have to select it first.

Check button: Checks if a server is working properly. You have to select it first.

Delete button: Deletes a server from the server list. You have to select it first.

Username box: You can specify the username for a server here, if it requires authentication.

Password box: You can specify the password for a server here, if it requires authentication.


Options - Groups

Groups

Click on an item to get more information, or scroll down until you find what you want.

Retrieve from: Local file button: You can use this button to recall the list of available newsgroups if you have downloaded it before.

Retrieve from: Newsserver button: You can use this button to download the list of available newsgroups from your News server.

Manual box and Add button: These allow you to add a group to your list of selected groups manually, instead of searching for it in the available groups list. Just enter the group name in the box and press the Add button.

Search box: If you type a keyword here, the list below will change to only show groups with that keyword in their names and selected groups.

Group list: This list will show the available groups as well as the selected ones. The list can be filtered with the Search box.

Download Dir box and Browse button: You can change the directory where a group's downloads will be placed by first selecting the group in the group list and then specifying the path in the Download Dir box or navigating to it with the Browse button.


Options - User Information

User information

Click on an item to get more information, or scroll down until you find what you want.

Email box: Type your e-mail address here, so that when you post a message people who read it can reply to you.


Options - Filters

Filters

Click on an item to get more information, or scroll down until you find what you want.

Use filter checkbox: This will enable filtering of messages on the main window.

Include / Exclude option buttons: This allows you to select whether you want to only show posts matching the filter, or to hide those posts, that is, whether you want to include or exclude the filtered posts.

Regular expression checkbox: This allows you to use a standard regular expression as your filtering pattern. Regular expressions can include wildcards and boolean operators.


Options - Advanced

Advanced

Click on an item to get more information, or scroll down until you find what you want.

Auto download directories box and Browse button: Specifies where you want your downloaded files to be placed. Subdirectories will be created for storing each group's downloads.

Options list:

  • Show incomplete parts:
    When a multipart post exists, and not all of the parts are available on the server, the multipart post is marked as incomplete. If you check this option, these incomplete posts will be shown on the header list.
  • Sort case insensitive:
    When clicking the column headers of the header list on the main window, NewsReactor sorts it. This option makes sorting case insensitive.
  • Multigroup tolerance:
    To create the Multigroups (the expandable folders in the listview), NewsReactor uses an algorithm to compare multiparts with each other. By changing the tolerance value, NewsReactor will be more or less tolerant about which multiparts belong in a multigroup. The higher the percentage, the more NewsReactor is selective and creates more multigroups.
  • Close sockets gracefully:
    This option sends a Quit command to the news server to close a connection, which makes the news server close the connection first. It can be important for news server that limit the number of simultaneous connections, so that you are sure that when a connection is terminated on your end, it is also terminated on the server end immediately.
  • Set newsgroup before download:
    This option functions as a workaround for some news servers that cannot provide a news article without selecting a group first. (Like Claranews).
  • Socket timeout:
    This sets the number of seconds a connection to a news server can remain idle, before being terminated.
  • Find expired articles:
    Unchecking this option will make NewsReactor not look for expired articles. All previously scanned articles will remain in the list. If checked, everytime you scan a group NewsReactor will find expired articles and remove them from the header list, so that you only see posts that are really there.
  • Days to keep headers:
    This is another manual override on the retention time of article headers.
  • Do not decode files:
    If you check this option, NewsReactor will not decode any downloaded files. They will remain with the .uue extension, and you can use any other program to decode them.
  • Smart rename when decoded file already exists:
    This option is to avoid accidentally writing over an existent file. If a file already exists with a given name, the new file will be named : 'filename_01.ext', 'filename_02.ext' etc. to avoid conflicts.
  • Use subject as filename:
    If this option is checked, the downloaded files will be named using the subject of the post instead of the specified filename. Sometimes the subject of a header gives more information about what's in the post than the filename; for example, some filenames are something like '1.jpg' in which case the subject probably tells more. All non allowed characters in the subject will be changed to '_'.
  • Debug logging to log.txt:
    Provides debug logging when trying to find errors. Also, all *.uue files will remain in the download directory.


Main window reference

In this section, you can learn more about each part of the main window.

Toolbar
Thread status
Group list
Header list
Status bar


Main Window - Toolbar

Toolbar

Click on an item to get more information, or scroll down until you find what you want.

Scan button: Scans a group for posts. A group must be selected in the group list.

Grab button: Adds a post to the download queue. You have to select a post in the header list first.

Pause button: Pauses all downloads temporarily. Click again to unpause.

Stop button: Stops all downloads. The downloads in the queue will remain there but the ones that were being executed will be discarded.

Auto button: Starts automatic download of all posts from all the groups in the group list.

Find button: This allows you to perform a search on the posts displayed in the header list. Detailed information on the find dialog here.

Read button: Click this button to read a post. You must have selected it first in the header list.

Post button: Allows you to post a message on a group. You must first select the group in the group list. Detailed information about posting messages here.

Browse button: Opens an explorer window with the download folder of the selected group, so that you can see all the files you downloaded from that group. You must first select the group in the group list.

Options button: Opens the Options dialog. More information on that here.

About button: Opens a window with information on the program and your current registration status.

Max Speed: Check the box and enter a value to select a maximum download speed. The combined speed of all the downloads will never exceed this value at any time.

Shutdown when finished: Check this box to let NewsReactor shut down your computer when all the downloads are finished.


Main Window - Thread Status

Thread status

Click on an item to get more information, or scroll down until you find what you want.

Thread checkboxes: These checkboxes allow you to enable or disable each thread, so that you can limit the number of concurrent downloads.

Thread X buttons: Click one of these buttons to kill what a thread is currently doing.

In front of these sections you can see a progress bar for the current task, and some information on what each thread is doing.


Main Window - Group list

Group list

Click on an item to get more information, or scroll down until you find what you want.

Group section: This indicates the name of the group.

Download dir section: This indicates the directory where the group's files will be placed.

Last scanned section: This indicates the last time the group was scanned for posts.


Main Window - Header list

Header list

Click on an item to get more information, or scroll down until you find what you want.

Header section: This indicates the name of the post.

From section: This indicates the name and e-mail address of the poster.

Lines section: This indicates the number of lines a post has (posts with binary files also have their lines counted, although it is not so meaningful).

Parts section: This indicates the number of smaller posts that a post is divided in.

Date section: This indicates the date of the post.


Main Window - Status Bar

Status bar

Click on an item to get more information, or scroll down until you find what you want.

List tab: This indicates the name of the post.

Queue tab: This indicates the name and e-mail address of the poster.

Log tab: This indicates the number of lines a post has (posts with binary files also have their lines counted, although it is not so meaningful).

Information sections: These sections indicate various types of information. In order, they are:
  • the number of posts selected on the header list
  • the total speed of the downloads at the moment
  • the number of kilobytes downloaded by NewsReactor since its installation
  • the number of pending tasks


Menu reference

In this section, you can learn more about each menu.

File menu
Item menu
View menu
Help menu


Menu Reference - File

File menu

Click on an item to get more information, or scroll down until you find what you want.

Scan: Scans a group for posts. A group must be selected in the group list.

Pause: Pauses all downloads temporarily. Click again to unpause.

Stop: Stops all downloads. The downloads in the queue will remain there but the ones that were being executed will be discarded.

Browse Dir...: Opens an explorer window with the download folder of the selected group, so that you can see all the files you downloaded from that group. You must first select the group in the group list.

Reset Group: This allows you to delete the list of headers stored for a group. You must first select the group in the group list.

Autograb All: Starts automatic download of all posts from all the groups in the group list.

Options...: Opens the Options dialog. More information on that here.

First Time Wizard...: Opens the First Time Wizard, to help you configure NewsReactor. More information here.

Exit: Exits NewsReactor.


Menu Reference - Item

Item menu

Click on an item to get more information, or scroll down until you find what you want.

Grab!: Adds a post to the download queue. You have to select a post in the header list first.

Grab and Open: Adds a post to the download queue. You have to select a post in the header list first. After it is downloaded, the file is opened with the default viewer, which may be dangerous if the file is an executable, because it may be carrying a virus. Please be careful when using this feature.

Enqueue Only: Adds a post to the downloads queue, but does not download it. You have to select a post in the header list first.

Find: This allows you to perform a search on the posts displayed in the header list. Detailed information on the find dialog here.

Read Message: Select this option to read a post. You must have selected it first in the header list.

Post Message: Allows you to post a message on a group. You must first select the group in the group list. Detailed information about posting messages here.

Select All: Selects all the visible posts in the header list.

Expand all multigroups: Expands all the multigroups to show their contents. A multigroup is a group of similar posts, in the header list.

Collapse all multigroups: Collapses all the multigroups to hide their contents. A multigroup is a group of similar posts, in the header list.

Move To Top In Queue: This allows you to move a post to the top of the download queue, so that it is the next to be downloaded. You must have selected it first in the header list.

Remove From Queue: Removes a post from the download queue, so that it won't be downloaded. You must have selected it first in the header list.

Clear Queue: Clears the contents of the download queue so that nothing else is downloaded.

Clear Log: Clears the log window.

Remove From List: Removes a post from the header list. You must have selected it first in the header list.

Copy subject(s) to clipboard: This copies a post's subject to the clipboard. You must have selected it first in the header list.

Jump to first URL in subject: This opens a browser window with the first internet location that appears on the subject of a post. You must have selected it first in the header list.

Properties: Opens a window with a post's properties, showing the details on all the parts it is split into.


Find dialog

To use the find dialog, type the expression you want to search for in the Find what box. There are also other things to notice.

Options:
  • Match whole word only - Only matches a word with the expression if it is exactly like the expression; if the word has more (or less) characters, it is not matched.
  • Match case - Only matches a word if it has exactly the same case as the expression. For instance, with this option turned off, "Something" would match "something", but with it turned on, it wouldn't.
  • Regular expression - Allows for use of standard regular expressions as the search pattern. For more information on regular expressions, check this.

Direction:

This allows you to choose the direction in which the search is to be performed. For instance, if you want to perform a search from bottom to top, you should select the last message, and set the direction to up.

Action:

This allows you to choose the action to perform, regarding the search pattern.
  • Find next matching item - Finds the next item that matches the search pattern.
  • Select all matching items - Selects all the items that match the search pattern.
  • Remove all matching items - Removes all the items that match the search pattern.
  • Keep all matching items - Removes everything, except the items that match the search pattern.


Regular Expressions

A regular expression is a search string that contains normal text plus special characters, which indicate extended searching options. Regular expressions allow for a more sophisticated search and replace.

For example, you can find any digit by using the regular expression "[0-9]". Similarly you can find any matching character that is NOT a digit by using the regular expression "[^0-9]".

NewsReactor supports following regular expressions in the Find and Filter options:

Expression | Description
\t | Tab character.
\n | New line.
. | Matches any character.
| | Either expression on its left and right side matches the target string. For example, "a|b" matches "a" and "b".
[] | Any of the enclosed characters may match the target character. For example, "[ab]" matches "a" and "b". "[0-9]" matches any digit.
[^] | None of the enclosed characters may match the target character. For example, "[^ab]" matches all character EXCEPT "a" and "b". "[^0-9]" matches any non-digit character.
* | Character to the left of asterisk in the expression should match 0 or more times. For example "be*" matches "b", "be" and "bee".
+ | Character to the left of plus sign in the expression should match 1 or more times. For example "be+" matches "be" and "bee" but not "b".
? | Character to the left of question mark in the expression should match 0 or 1 time. For example "be?" matches "b" and "be" but not "bee".
^ | Expression to the right of ^ matches only when it is at the beginning of line. For example "^A" matches an "A" that is only at the beginning of line.
$ | Expression to the left of $ matches only when it is at the end of line. For example "e$" matches an "e" that is only at the end of line.
() | Affects evaluation order of expression and also used for tagged expression.
\ | Escape character. If you want to use character "\" itself, you should use "\\".
A tagged expression is enclosed by (). Tagged expressions can be referenced by \0, \1, \2, \3, etc. \0 indicates a tagged expression representing the entire substring that was matched. \1 indicates the first tagged expression, \2 is the second, etc.


Menu Reference - View

View menu

Click on an item to get more information, or scroll down until you find what you want.

List, Queue and Log: Select one of these to be shown in the header list. More information here.

Toolbar: Toggles the toolbar on or off. More information on the toolbar here.

Status bar: Toggles the status bar on or off. More information on the status bar here.

Speed: Toggles the speed measurement on the status bar on or off.

Threads: Toggles the thread status on or off. More information on the thread status here.


Menu Reference - Help

Help menu

Click on an item to get more information, or scroll down until you find what you want.

Help: Opens this help file.

Register: Opens the registration dialog. To learn how to use it, please check here.

Tip of the day: Shows the "tip of the day" dialog, featuring tips on how to make the most out of NewsReactor.

About NewsReactor: Shows a dialog window with credits and the current registration status of NewsReactor.


Troubleshooting

In this section, you can learn how to solve problems with NewsReactor.

Common problems and solutions


Troubleshooting - Common Problems and Solutions

Common Problems and Solutions

When trying to download an article the error appears: 'Not in a newsgroup'

Some news servers do not comply to the standard and require that before requesting an article the newsgroup is selected. Check the advanced option 'Set newsgroup before download' to solve this.

I don't want those multigroups.

Go to advanced options and set the multigroup tolerance to 100%.

I'm using AOL and I can't find a news server.

AOL doesn't support NNTP, you'll need a third party news server.

My headers are gone while they should still be on the news server.

NewsReactor uses a 'smart' method of finding expired articles. You can set the number of retention days manually to override this in advanced options.

While scanning a newsgroup NewsReactor suddenly crashes.

Go to advanced options, select 'Debug logging to log.txt'. Enable only one thread. Scan the newsgroup. When the crash happens send the last 100 lines of this log to: nieka@daansystems.com.


Registration

Registering NewsReactor

NewsReactor is shareware and will only work for 50 times. Registering it will entitle you to full usage beyond that period and free upgrades as well.

How to get a license

In order to get a license, please open your web browser and go to http://www.daansystems.com/newsreactor/. There, follow the instructions and you will receive your activation code, so that you can unlock it.

Activating the program

When you have your activation code, proceed to the Registration option in the Help menu, or select the "Now let's enter the registration code" option in the starting screen.

You will be presented with this dialog:

Enter the details exactly as you got them after buying the license and press the OK button.

Congratulations! You are now a registered user of NewsReactor!


Support / Website

For additional support and questions you did not find answered in this help file, please go to http://www.daansystems.com/newsreactor/ and select one of the support options.


Registering

In this section, you can get information on how to register NewsReactor.

How to get a license
Activating the program